CERCA
PER MODELLO
FullScreen Chatbox! :)

Utente del giorno: Stahl con ben 17 Thanks ricevuti nelle ultime 24 ore
Utente della settimana: Stahl con ben 94 Thanks ricevuti negli ultimi sette giorni
Utente del mese: Stahl con ben 460 Thanks ricevuti nell'ultimo mese

Pagina 5 di 6 primaprima ... 3456 ultimoultimo
Ultima pagina
Visualizzazione dei risultati da 41 a 50 su 52
Discussione:

Iniziare a programmare per android

Se questa discussione ti stata utile, ti preghiamo di lasciare un messaggio di feedback in modo che possa essere preziosa in futuro anche per altri utenti come te!
  1. #41
    Androidiano


    Registrato dal
    Sep 2009
    Messaggi
    114

    Ringraziamenti
    0
    Ringraziato 1 volta in 1 Post
    Predefinito

    @rixxo
    Quote Originariamente inviato da Rixxo Visualizza il messaggio
    Caspita vedo che stai tribulando un po per installare eclipse. Allora adiamocci per gradi, per visualizzare l'architettura che hai basta che lanci lshw dalla console, altrimenti per vedere se il sistema operativo a 64bit basta lanciare uname -a.
    Grazie per provare a risolvere i miei problemi, ma cosa devo guardare dopo aver fatto lshw (che tra l'altro non va su debian e lo devo lanciare su ubuntu) ?
    con unama -a non mi d proprio nessun indizio invece.

    Quote Originariamente inviato da Rixxo Visualizza il messaggio
    Poi il mio modesto consiglio scarica eclipse dal sito, non usare quello dei rpository. Poi verificha la tua java-virtual -machine installata con il comando update-alternatives --list java, importanet verificare la la jvm sia quella della sun e non altre quindi verifica se dopo aver lanciato il comando vedi /usr/lib/jvm/java-6-sun/jre/bin/java
    Questo il mio output a quel comando:
    /usr/bin/gij-wrapper-4.1
    /usr/lib/jvm/java-gcj/jre/bin/java


    Non mi sembra tanto similare, adesso vado sul sito della sun e provo a ottenere una versione di java come si deve.
    Nel caso ci che ho adess non andasse bene come faccio a disinstallarlo?

    @onair
    Allora eclipse va (anche se mi d dei messaggi di errore in apertura e in chiusura, ma diciamo che va), ho installato i plugin come hai detto tu (e come era scritto nella pagina della guida che avevo linkato), ora il problema che non vede i plugni stessi.
    Mi spiego meglio: nella guida che ho linkato c' scritto di riavviare eclipse e di andare in window>preferences e dovrebbe esserci android nel menu a sinistra. Ecco da me non c'.

  2.  
  3. #42
    Androidiano VIP


    Registrato dal
    Mar 2009
    Messaggi
    105

    Ringraziamenti
    0
    Ringraziato 1 volta in 1 Post
    Predefinito

    Quote Originariamente inviato da Androsauro Visualizza il messaggio
    @rixxo


    Grazie per provare a risolvere i miei problemi, ma cosa devo guardare dopo aver fatto lshw (che tra l'altro non va su debian e lo devo lanciare su ubuntu) ?
    con unama -a non mi d proprio nessun indizio invece.



    Questo il mio output a quel comando:
    /usr/bin/gij-wrapper-4.1
    /usr/lib/jvm/java-gcj/jre/bin/java


    Non mi sembra tanto similare, adesso vado sul sito della sun e provo a ottenere una versione di java come si deve.
    Nel caso ci che ho adess non andasse bene come faccio a disinstallarlo?

    @onair
    Allora eclipse va (anche se mi d dei messaggi di errore in apertura e in chiusura, ma diciamo che va), ho installato i plugin come hai detto tu (e come era scritto nella pagina della guida che avevo linkato), ora il problema che non vede i plugni stessi.
    Mi spiego meglio: nella guida che ho linkato c' scritto di riavviare eclipse e di andare in window>preferences e dovrebbe esserci android nel menu a sinistra. Ecco da me non c'.

    ok ecco ho capito il tuo problema la java-virtual-machine. Allora risolviamo prima il problema della visualizazzione dell'HW su debin se non trovi lshw molto probabilmente lo devi installare o con synaptic altrimenti basta che da shell scrivi aptitude install lshw ovviamente da utenete root.

    Per quanto riguarda la risoluzione de tuoi problemi eclipse basta installare o su ubuntu o su debian la jvm di sun quindi o da synaptic o da shell installa il pacchetto sun-java6-jdk e sun-java6-jre, se vuoi farlo da shell basta che lanci aptitude install sun-java6-jdk sun-java6-jre. Ok dopo che hai eseguito questa operazione devi assicurarti che il sistema utilizzi di default la java-virtual-machine di sun qundi lanci il comando update-alternatives --config java ti dar un output del genere:

    codice:
    There are 4 choices for the alternative java (providing /usr/bin/java).
    
      Selection    Path                                      Priority   Status
    ------------------------------------------------------------
      0            /usr/lib/jvm/java-6-openjdk/jre/bin/java   1061      auto mode
      1            /usr/bin/gij-4.3                           43        manual mode
      2            /usr/lib/jvm/java-6-openjdk/jre/bin/java   1061      manual mode
    * 3            /usr/lib/jvm/java-6-sun/jre/bin/java       63        manual mode
      4            /usr/lib/jvm/java-gcj/jre/bin/java         1043      manual mode
    
    Press enter to keep the current choice[*], or type selection number:
    selezione il numero che corrisponde alla jvm di sun nel mio case la 3.

    dopo fatto cio cancella le vecchie versioni di eclipse compreso il workspace e sacrica eclipse per linux scompattalo ricrea un nuovo workspace e installa i plugin di android.

    Fammi sapere come va!

  4. #43
    Androidiano


    Registrato dal
    Sep 2009
    Messaggi
    114

    Ringraziamenti
    0
    Ringraziato 1 volta in 1 Post
    Predefinito

    Quote Originariamente inviato da Rixxo Visualizza il messaggio
    basta che lanci aptitude install sun-java6-jdk sun-java6-jre.
    La prima volta che ho dato il comando mi ha fatto rimuovere 12 pacchetti, la seconda mi ha generato questo output:
    Lettura della lista dei pacchetti in corso... Fatto
    Generazione dell'albero delle dipendenze in corso... Fatto
    Lettura delle informazioni sullo stato esteso
    Inizializzazione dello stato dei pacchetti... Fatto
    Scrittura delle informazioni sullo stato esteso... Fatto
    Lettura delle descrizioni dei task... Fatto
    Costruzione del database dei tag... Fatto
    Impossibile trovare un pacchetto il cui nome o descrizione corrispondano a sun- java6-jdk
    Impossibile trovare un pacchetto il cui nome o descrizione corrispondano a sun- java6-jre
    Nessun pacchetto verr installato, aggiornato o rimosso.
    0 pacchetti aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
    necessario prelevare 0B di archivi. Dopo l'estrazione, verranno occupati 0B.
    Scrittura delle informazioni sullo stato esteso... Fatto


    Quote Originariamente inviato da Rixxo Visualizza il messaggio
    Ok dopo che hai eseguito questa operazione devi assicurarti che il sistema utilizzi di default la java-virtual-machine di sun qundi lanci il comando update-alternatives --config java
    Ed ecco l'output di questo comando
    C' un solo programma che fornisce java
    (/usr/bin/gij-wrapper-4.1). Non c' nulla da configurare.


    Poi ho provato con aptitude install sun-java5-bin sun-java5-demo sun-java5-doc sun-java5-fonts sun-java5-jdk sun-java5-jre sun-java5-plugin sun-java5-source sun-j2sdk1.5 e mi ha fatto l'installazione e la configurazione e adesso funziona tutto!!!
    DEBIAN 1
    WINDOWS 0,5
    UBUNTU 0
    Debian rulez!!
    (a dire la verit non ho ancora provato a far partire l'emulatore, perch adesso non ho tempo, poi vi dico se va in maniera accettabile o no)

    Volevo sapere un'ultima cosa: quando si va a settare i plugin di android ad un certo punto compare una finestra che chiede di trasmettere i tuoi dati e non si pu chiudere a meno di non dare l'ok, non mi sembra molto normale. Anche a voi comparsa?

    Quote Originariamente inviato da Rixxo Visualizza il messaggio
    Allora risolviamo prima il problema della visualizazzione dell'HW su debin se non trovi lshw molto probabilmente lo devi installare o con synaptic altrimenti basta che da shell scrivi aptitude install lshw ovviamente da utenete root.
    Basta che mi dici dove guardare in quella marea di informazioni una volta che ho dato il comando, tanto immagino che ci che vale per ubuntu valga anche per debian.
    Ultima modifica di Androsauro; 15-10-09 alle 15:22

  5. #44
    Androidiano VIP


    Registrato dal
    Mar 2009
    Messaggi
    105

    Ringraziamenti
    0
    Ringraziato 1 volta in 1 Post
    Predefinito

    Quote Originariamente inviato da Androsauro Visualizza il messaggio
    La prima volta che ho dato il comando mi ha fatto rimuovere 12 pacchetti, la seconda mi ha generato questo output:
    Lettura della lista dei pacchetti in corso... Fatto
    Generazione dell'albero delle dipendenze in corso... Fatto
    Lettura delle informazioni sullo stato esteso
    Inizializzazione dello stato dei pacchetti... Fatto
    Scrittura delle informazioni sullo stato esteso... Fatto
    Lettura delle descrizioni dei task... Fatto
    Costruzione del database dei tag... Fatto
    Impossibile trovare un pacchetto il cui nome o descrizione corrispondano a sun- java6-jdk
    Impossibile trovare un pacchetto il cui nome o descrizione corrispondano a sun- java6-jre
    Nessun pacchetto verr installato, aggiornato o rimosso.
    0 pacchetti aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
    necessario prelevare 0B di archivi. Dopo l'estrazione, verranno occupati 0B.
    Scrittura delle informazioni sullo stato esteso... Fatto




    Ed ecco l'output di questo comando
    C' un solo programma che fornisce java
    (/usr/bin/gij-wrapper-4.1). Non c' nulla da configurare.


    Poi ho provato con aptitude install sun-java5-bin sun-java5-demo sun-java5-doc sun-java5-fonts sun-java5-jdk sun-java5-jre sun-java5-plugin sun-java5-source sun-j2sdk1.5 e mi ha fatto l'installazione e la configurazione e adesso funziona tutto!!!
    DEBIAN 1
    WINDOWS 0,5
    UBUNTU 0
    Debian rulez!!
    (a dire la verit non ho ancora provato a far partire l'emulatore, perch adesso non ho tempo, poi vi dico se va in maniera accettabile o no)

    Volevo sapere un'ultima cosa: quando si va a settare i plugin di android ad un certo punto compare una finestra che chiede di trasmettere i tuoi dati e non si pu chiudere a meno di non dare l'ok, non mi sembra molto normale. Anche a voi comparsa?



    Basta che mi dici dove guardare in quella marea di informazioni una volta che ho dato il comando, tanto immagino che ci che vale per ubuntu valga anche per debian.
    Ok sono contento che abbiamo risolto, molto probabilmente non trovi java6 perch hai una release stable o cmq datata di Debian se vuoi installare la versione 6 devi aggiornare i repository, cmq su ubuntu dovresti trovare proprio quella.

  6. #45
    Androidiano


    Registrato dal
    Sep 2009
    Messaggi
    114

    Ringraziamenti
    0
    Ringraziato 1 volta in 1 Post
    Predefinito

    OK, per mi rimangono ancora 2 domande senza risposta:
    quella su lshw (per sapere il tipo di architettura) e un'altra che avevo gi fatto (per windows) e che ora vado a ripescare...

    Eccola:
    vorrei chiedervi se il comando che si trova nella guida per creare l'hello world, va dato solo la prima volta oppure tutte le volte che si vuole programmare con l'sdk di android... Ecco il comando:
    android create avd --target 2 --name my_avd

    Come detto era una domanda che avevo fatto per windows.
    Ultima modifica di Androsauro; 16-10-09 alle 17:09

  7. #46
    Super Droid


    Registrato dal
    Jul 2009
    Messaggi
    2,142

    Ringraziamenti
    17
    Ringraziato 52 volte in 48 Posts
    Predefinito

    Stavo provando a scrivere qualche applicazione banale oggi. Uso netBeans perch molto pi leggero di Eclipse, quindi ho configurato il tutto, installati i plugins necessari. Ma l'emulatore non mi si avvia proprio. Quando faccio partire dovrebbe visualizzarmi l'emulatore con il programma avviato. Ma niente..mi appare la schermata di scelta del device(immagino proprio l'emulatore) ma non c' nulla che posso selezionare.

    Ovviamente mettendo il file apk sul Magic, ho installato ed il programma scritto funziona. Per insomma vorrei pure farlo testare dall'emulatore, invece di dover mettere il file direttamente sul Magic.

  8. #47
    Androidiano VIP


    Registrato dal
    Mar 2009
    Messaggi
    105

    Ringraziamenti
    0
    Ringraziato 1 volta in 1 Post
    Predefinito

    Quote Originariamente inviato da Androsauro Visualizza il messaggio
    OK, per mi rimangono ancora 2 domande senza risposta:
    quella su lshw (per sapere il tipo di architettura)
    Ok scusatemi ma non avuto la connessione in questi giorni a casa, l'altra volta ti ho risposto dal magic e non ho letto tutto.

    per vedere se il tuo pc supporta sistemi operativi a 64bit devi fare attenzione al parementro width nella sezione della cpu esempio:

    codice:
     
    *-cpu                                         
              product: Intel(R) Core(TM)2 Duo CPU     P7350  @ 2.00GHz
              vendor: Intel Corp.                                     
              physical id: 1                                          
              bus info: cpu@0                                         
              version: 6.7.6                                          
              serial: 0001-0676-0000-0000-0000-0000                   
              size: 2GHz                                              
              capacity: 2GHz                                          
              width: 64 bits
    per vedere se il tuo SO installato a 64bit lanci il comando uname -a se nella lunga stringa dell'output vedi "x86_64" o "i686-64" il sistema installato a 64bit altrimenti se vedi "i386", "i486", "i586", "i686" e "athlon"; 32bit.

    Quote Originariamente inviato da Androsauro Visualizza il messaggio
    e un'altra che avevo gi fatto (per windows) e che ora vado a ripescare...

    Eccola:
    vorrei chiedervi se il comando che si trova nella guida per creare l'hello world, va dato solo la prima volta oppure tutte le volte che si vuole programmare con l'sdk di android... Ecco il comando:
    android create avd --target 2 --name my_avd

    Come detto era una domanda che avevo fatto per windows.

    Allora avd sta per Android Virtual Device e serve a creare appunto un device vituale quindi con il comando da te citato sopra non si fa altro che creare un disposivo "emulatore" per testare i software da te sviluppati ergo non c' bisogno di crearlo ogni volta, e ne puoi crere quanti ne vuoi, poi puoi scegliere da eclipse quale usare.

    Io personalmente ti consiglio di utilizzare il 3 come target altrimenti non ti fa usare le api di google quindi non avrai accesso alle mappe.

  9. #48
    Androidiano VIP


    Registrato dal
    Mar 2009
    Messaggi
    105

    Ringraziamenti
    0
    Ringraziato 1 volta in 1 Post
    Predefinito

    Quote Originariamente inviato da Crocodile Visualizza il messaggio
    Stavo provando a scrivere qualche applicazione banale oggi. Uso netBeans perch molto pi leggero di Eclipse, quindi ho configurato il tutto, installati i plugins necessari. Ma l'emulatore non mi si avvia proprio. Quando faccio partire dovrebbe visualizzarmi l'emulatore con il programma avviato. Ma niente..mi appare la schermata di scelta del device(immagino proprio l'emulatore) ma non c' nulla che posso selezionare.

    Ovviamente mettendo il file apk sul Magic, ho installato ed il programma scritto funziona. Per insomma vorrei pure farlo testare dall'emulatore, invece di dover mettere il file direttamente sul Magic.
    Mi servono un po di info per capire il problema.

    1. Che SDK hai?
    2. Hai creato un emulatore?
    3. Se provi a richiamarla l'emulatore parte?

  10. #49
    Androidiano


    Registrato dal
    Sep 2009
    Messaggi
    114

    Ringraziamenti
    0
    Ringraziato 1 volta in 1 Post
    Predefinito

    Quote Originariamente inviato da Rixxo Visualizza il messaggio
    per vedere se il tuo pc supporta sistemi operativi a 64bit devi fare attenzione al parementro width nella sezione della cpu esempio:
    per vedere se il tuo SO installato a 64bit lanci il comando uname -a se nella lunga stringa dell'output vedi "x86_64" o "i686-64" il sistema installato a 64bit altrimenti se vedi "i386", "i486", "i586", "i686" e "athlon"; 32bit.
    Cacchio! La cpu a 64 e il sistema operativo a 32: quale sarebbe il miglior eclipse da installare allora?

    Ah comunque debian stato appena declassato dal momento che non mi trova l'adb e quindi non mi fa girare i programmi. E dire che nella cartella /tools c'.
    Morale: sono di nuovo a piedi

  11. #50
    Androidiano VIP


    Registrato dal
    Mar 2009
    Messaggi
    105

    Ringraziamenti
    0
    Ringraziato 1 volta in 1 Post
    Predefinito

    Quote Originariamente inviato da Androsauro Visualizza il messaggio
    Cacchio! La cpu a 64 e il sistema operativo a 32: quale sarebbe il miglior eclipse da installare allora?

    Se il sitema a 32 bit puoi installare solo programmi a 32 bit, se fosse stato a 64 bit potevi installare entrambi.

    Quote Originariamente inviato da Androsauro Visualizza il messaggio
    Ah comunque debian stato appena declassato dal momento che non mi trova l'adb e quindi non mi fa girare i programmi. E dire che nella cartella /tools c'.
    Morale: sono di nuovo a piedi
    Apsetta se c' nella cartella tools non hai problemi, hai provato a richiamarlo che ti dice?

Pagina 5 di 6 primaprima ... 3456 ultimoultimo
Ultima pagina

Discussioni simili

  1. Vorrei iniziare...
    Da upkins nel forum Iniziare a programmare Android
    Risposte: 7
    Ultimo messaggio: 17-10-11, 02:38
  2. Iniziare a creare ROM
    Da federico nel forum Risorse Utili
    Risposte: 0
    Ultimo messaggio: 04-11-09, 22:57
  3. Iniziare con htc
    Da SebaLvga nel forum HTC Magic
    Risposte: 2
    Ultimo messaggio: 02-10-09, 20:07
  4. iniziare da.. zero!
    Da federico nel forum Risorse Utili
    Risposte: 3
    Ultimo messaggio: 30-03-09, 09:59

Permessi di invio

  • Non puoi inserire discussioni
  • Non puoi inserire risposte
  • Non puoi inserire allegati
  • Non puoi modificare i tuoi messaggi
  •  
Torna su
Privacy Policy